[arch-commits] Commit in nextcloud-app-spreed/repos (2 files)

David Runge dvzrv at gemini.archlinux.org
Sat Dec 4 18:59:27 UTC 2021


    Date: Saturday, December 4, 2021 @ 18:59:26
  Author: dvzrv
Revision: 1065066

archrelease: copy trunk to community-staging-any

Added:
  nextcloud-app-spreed/repos/community-staging-any/
  nextcloud-app-spreed/repos/community-staging-any/PKGBUILD
    (from rev 1065065, nextcloud-app-spreed/trunk/PKGBUILD)

----------+
 PKGBUILD |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

Copied: nextcloud-app-spreed/repos/community-staging-any/PKGBUILD (from rev 1065065, nextcloud-app-spreed/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2021-12-04 18:59:26 UTC (rev 1065066)
@@ -0,0 +1,48 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+_name=spreed
+pkgname=nextcloud-app-spreed
+pkgver=13.0.0
+pkgrel=1
+epoch=1
+pkgdesc="Video & audio-conferencing using WebRTC"
+arch=(any)
+url="https://apps.nextcloud.com/apps/spreed"
+license=(AGPL3)
+groups=(nextcloud-apps)
+makedepends=(nextcloud)
+checkdepends=(ripgrep yq)
+source=("https://github.com/nextcloud-releases/${_name}/releases/download/v${pkgver}/${_name}-v${pkgver}.tar.gz")
+sha512sums=('34358d0feb2d7a41ebff4191493e213e1fd26b21dabb00bce080032761e61020dcc32a6b247c9f051e71a4db27a0bb8fe6290cf2b3a18962e7146643096b7111')
+b2sums=('579209c908f0c412888af50b5d747abb19385c571c5eaa58caaffe1b38a675cf6f4c4c63d425cde1506984a64c3052e01e9e587b22e24ba90ab06ea378ab8160')
+
+_get_nextcloud_versions() {
+  _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+  _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+  _app_max_major_version=$(expr ${_app_max_major_version} + 1)
+}
+
+prepare() {
+  find ${_name} -type f -exec chmod 644 {} +
+  find ${_name} -type d -exec chmod 755 {} +
+}
+
+check() {
+  local _app_min_major_version
+  local _app_max_major_version
+  _get_nextcloud_versions
+  local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
+
+  if (("$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")"<0)) || (("$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")">0)) ; then
+    printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
+    exit 1
+  fi
+}
+
+package() {
+  _get_nextcloud_versions
+  depends=("nextcloud>=${_app_min_major_version}" "nextcloud<${_app_max_major_version}")
+
+  install -vdm 755 "${pkgdir}/usr/share/webapps/nextcloud/apps/"
+  cp -av "${_name}" "${pkgdir}/usr/share/webapps/nextcloud/apps/"
+}



More information about the arch-commits mailing list